## **1. 基础移动（Navigation）**
- **字符移动**：
  - `h` ← / `j` ↓ / `k` ↑ / `l` →  
  - 方向键也能用，但 Vim 提倡用 `hjkl` 保持手不离键盘。
- **单词移动**：
  - `w` → 跳到下一个单词开头  
  - `b` ← 跳到上一个单词开头  
  - `e` → 跳到当前单词末尾
- **行内跳转**：
  - `0` 跳到行首，`^` 跳到第一个非空字符  
  - `$` 跳到行尾  
  - `f<char>` 向后搜索字符（如 `fa` 跳到下一个 `a`）
- **屏幕移动**：
  - `Ctrl + u` 上翻半屏，`Ctrl + d` 下翻半屏  
  - `gg` 跳到文件开头，`G` 跳到文件末尾  
  - `:<行号>` 跳转到指定行（如 `:42` 跳到第 42 行）

---

## **2. 编辑文本（Editing）**
- **插入模式**：
  - `i` 在光标前插入  
  - `a` 在光标后插入  
  - `I` 在行首插入，`A` 在行尾插入  
  - `o` 在下一行插入，`O` 在上一行插入
- **删除**：
  - `x` 删除当前字符  
  - `dw` 删除一个单词  
  - `dd` 删除整行  
  - `D` 删除从光标到行尾
- **复制/粘贴**：
  - `yy` 复制当前行  
  - `p` 粘贴到光标后，`P` 粘贴到光标前  
  - `yiw` 复制当前单词
- **撤销/重做**：
  - `u` 撤销  
  - `Ctrl + r` 重做

---

## **3. 选择与可视化模式（Visual Mode）**
- `v` 进入字符选择模式  
- `V` 进入行选择模式  
- `Ctrl + v` 进入块选择模式（适合多行编辑）  
- 选中后可以用 `d`（删除）、`y`（复制）、`>`（缩进）等操作

---

## **4. 搜索与替换（Search & Replace）**
- `/` + 关键词 → 搜索（`n` 下一个，`N` 上一个）  
- `:%s/old/new/g` → 全局替换（`g` 表示所有匹配）  
- `*` 快速搜索当前光标下的单词

---

## **5. 组合命令（Power Moves）**
- `di"` → 删除引号内的内容  
- `ciw` → 修改当前单词  
- `dt<char>` → 删除直到某个字符（如 `dt)` 删除到 `)`）  
- `.` → 重复上一次操作
