package com.spring.step2.exception;

import com.spring.step2.domain.vo.result.ResultCodeEnum;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.ToString;
import lombok.extern.slf4j.Slf4j;

@NoArgsConstructor
@Getter
@ToString
@Slf4j
public class SecurityException extends RuntimeException {
    // 状态码
    Integer code;

    // 描述信息
    String message = "服务异常";

    // 返回结果状态
    ResultCodeEnum resultCodeEnum;

    public SecurityException(Integer code, String message) {
        super(message);
        this.code = code;
        this.message = message;
    }

    public SecurityException(String message) {
        super(message);
        this.message = message;
    }

    public SecurityException(ResultCodeEnum codeEnum) {
        super(codeEnum.getMessage());
        this.code = codeEnum.getCode();
        this.message = codeEnum.getMessage();
        this.resultCodeEnum = codeEnum;
    }

    public SecurityException(String message, Exception exception) {
        super(message);
        this.message = message;
        log.error(message, exception);
    }
}
